# User Profile Notes
## Overview
Allow users to leave notes for themselves on other peoples profiles.

## Installation
1. Download the latest release from the releases tab.
2. Upload the contents of the `upload` folder within the zip file to your XenForo root directory.
3. Install the add-on either via Admin Control Panel or via the command line with `php cmd.php xf-addon:install ThemeHouse/UserProfileNotes`.

## Uninstallation
1. Uninstall the add-on either via Admin Control Panel or via the command line with `php cmd.php xf-addon:uninstall ThemeHouse/UserProfileNotes`

## Reporting issues
Issues may be reported in this repository. Keep in mind to be as precise as possible to avoid any confusion and make acting easier.
### Reporting a bug
1. Provide a clear description of your issue. What happened and what did you expect to happen?
2. Is the issue reproducible? If so, provide steps to reproduce it. If not, try to describe what you have been doing when the issue was encountered.
3. Provide relevant version numbers (add-on, XenForo, php, relevant 3rd party libraries and add-ons)

Support and answers to questions are provided on an irregular basis, if any. There is no guarantee that bug reports and issues are tended to. Refer to the licensing detail for more information on support and warranty.

Bug fixes may be provided through Pull Requests.  See **Contribute** below on how to provide code additions.

### Suggesting a feature
1. Provide a clear description of what feature you would like to see.
    1. Does your suggestion base on an existing feature? Describe how it would be reasonably extended.
    2. Does your suggestion describe a new feature? Describe possible interaction scenarios for staff members as well as users.

Implementation of new features may be provided through Pull Requests. See **Contribute** below on how to provide code additions.

## Contribute
1. To be accepted, all contributions must
    1. follow the [PSR-2 coding style](https://www.php-fig.org/psr/psr-2/) standard.
    2. follow the [XenForo resource standards](https://xenforo.com/community/help/resource-standards/).
    3. follow the [XenForo resource guidelines](https://xenforo.com/community/help/resource-guidelines/).
2. To contribute, open a pull request from a fork of this repository to the Master branch. We will review pull requests in irregular intervals and either request changes or accept them as we see fit, subsequently publishing new releases if code additions or fixes are accepted.