<?php

namespace ThemeHouse\UserNotes;

/**
 * Class Listener
 *
 * @package ThemeHouse\UserNotes
 */
class Listener
{

	/**
	 * Fired inside the importers container in the Import sub-container. Add-ons can use this to add
	 * additional importer classes to the importer list. The class names can be fully qualified or the
	 * short class version e.g. AddOn:ClassName.
	 *
	 * @param \XF\SubContainer\Import $container Import sub-container object.
	 * @param \XF\Container $parentContainer Global App object.
	 * @param array $importers Array of importers.
	 */
	public static function importImporterClasses(\XF\SubContainer\Import $container, \XF\Container $parentContainer, array &$importers)
	{
		$importers[] = 'ThemeHouse\UserNotes:Z61MemberNotes';
	}


	/**
	 * Event fires after the Entity specific _postDelete() method is called and after the post delete
	 * of any behaviors.
	 *
	 * Event hint: Fully qualified name of the root class that was called.
	 *
	 * @param \XF\Mvc\Entity\Entity $entity Entity object.
	 */
	public static function userEntityPostDelete(\XF\Mvc\Entity\Entity $entity)
	{
		/** @var \XF\Entity\User $entity */
        $entity->db()->delete('xf_th_usernotes_usernote', 'profile_user_id = ?', $entity->user_id);
	}

}